#!/bin/gawk -f
#

BEGIN { wortreg="[^a-zA-Z]+"; headreg=":[[:space:]]+"
        FS=headreg
	header = 1 }

# ein From könnte auch im Body an erster Stelle stehen
$1=="From" && header { poster=$2 }

# erste Leerzeile im Header beendet diesen
NF==0 && header { header=0; FS=wortreg }

# im Body werden alle Wörter gezählt
!header { for (i=1; i<=NF; i++) {
             if ($i) wort[$i]++ 
	   }
	 }  

# ein Punkt beendet das Posting; nächster Header folgt
/^\.$/  { FS=headreg
          creativity[poster]+=asort(wort)
	  delete wort 
	  header = 1}

# Ausgabe	  
END { for (poster in creativity) {
         print poster, creativity[poster]
      }
    }  



